# Method: accounts.shippingSettings.getShippingSettings

- [HTTP request](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.shippingSettings/getShippingSettings#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.shippingSettings/getShippingSettings#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.shippingSettings/getShippingSettings#body.request_body)
- [Response body](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.shippingSettings/getShippingSettings#body.response_body)
- [Authorization scopes](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.shippingSettings/getShippingSettings#body.aspect)
- [Try it!](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.shippingSettings/getShippingSettings#try-it)

Retrieve shipping setting information.

### HTTP request

`GET https://merchantapi.googleapis.com/accounts/v1/{name=accounts/*/shippingSettings}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the shipping setting to retrieve. Format: `accounts/{account}/shippingsettings` |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.shippingSettings#ShippingSettings`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).